---
title: National Criminal Screening
slug: us-apis/national-criminal-screening
description: Signzy's National Criminal Screening service offers real-time criminal data from government sources. This document provides API details for accessing the service, along with a sample response in JSON format. It also explains parameters and descriptions fo
createdAt: 2023-01-19T05:23:14.000Z
---

## Introduction

National Criminal Screening of Signzy delivers unrivaled coverage, accuracy and compliance of criminal data collected daily from thousands of sources at the federal, state, county, and local levels.

Sources include Criminal Prosecutions, Arrest Records, Warrant Lists, Criminal Newsletters & Press Releases, Most Wanted, Sex Offenders, Corrections/Inmate Data, Child Support Violations, Open Court Cases, Early Release & Parole Lists, Career Offenders, and more.

Data is updated in real-time to provide an accurate report of all court records in a certain region or jurisdiction, not just convictions. Our Criminal data is 100% from applicable government sources.  Access is subject to each individual source’s infrastructure and their update schedules (scraped or direct integrations), which we follow accordingly to ensure the most up to date data is available.

For example, for finding the sex offenders, either check if Criminal Record Source Type is "sexoffenderlist" in response or check if Offense Class is "sex" with Criminal Record Source Type being "court".&#x20;

## API Details

### Sample cURL

::::Tabs
:::Tab{title="Production"}
```curl
curl --location --request POST 'https://api.signzy.us/api/v3/global/nat-crim-check' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "subject": "<name of individual>",
    "birthYear":<year of the subject birthday>,
    "birthMonth": <month of the subject birthday>,
    "birthDay": <date of the subject birthday>,
    "recordState": [<states the criminal record is from>],
    "includeblankDOB":<true/false>
}'
```
:::

:::Tab{title="Pre-Production"}
```curl
curl --location --request POST 'https://api-preproduction.signzy.us/api/v3/global/nat-crim-check' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "subject": "<name of individual>",
    "birthYear":<year of the subject birthday>,
    "birthMonth": <month of the subject birthday>,
    "birthDay": <date of the subject birthday>,
    "recordState": [<states the criminal record is from>],
    "includeblankDOB":<true/false>
}'
```
:::
::::

### Request Body Parameters

| **Parameter**   | **Data Type**     | **Required**                                                                                                                           | **Description**                                                                                                                                                                             |
| --------------- | ----------------- | -------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Content-Type    |                   | Yes                                                                                                                                    | application/json                                                                                                                                                                            |
| Authorization   |                   | Yes                                                                                                                                    | Authorization token                                                                                                                                                                         |
| subject         | string            | Yes                                                                                                                                    | Name of individual.<br />Format: First Middle Last<br /><br />*Atleast First and last name should be there.&#x20;*                                                                          |
| birthYear       | integer           | Optional<br /><br /><br /> Either provide all three (birthYear, birthDay, birthMonth) or just the birthYear or none of the DOB fields. | Year of the subject's birthday.<br />Format: YYYY<br /><br />Age should be between 18 and 110.                                                                                              |
| birthMonth      | integer           | Optional<br /><br />Either provide all three (birthYear, birthDay, birthMonth) or just the birthYear or none of the DOB fields.        | Month of the subject's<br />birthday.<br />Format: MM<br /><br />                                                                                                                           |
| birthDay        | integer           | Optional<br /><br />Either provide all three (birthYear, birthDay, birthMonth) or just the birthYear or none of the DOB fields.        | Day of the month of the subjects's birthday.<br />Format: DD<br />                                                                                                                          |
| recordState     | string<br />array | Optional                                                                                                                               | An array of US states the<br />criminal record is from.<br />Format: two digit State Code with a comma separator. For example Georgia would be GA. By Default, all states will be searched. |
| includeblankDOB | boolean           | Optional                                                                                                                               | Return records that have blank DOB but meet other search criteria.<br />Format: true or false, lower case.<br />Default : true. Option will be given to client.                             |

:::hint{type="info"}
<u>**\*Using Date of Birth Filter :-**</u>

- If you include any date of birth (DOB) information in the search request, **it must include a Birth Year**.
- A request with only Birth Month and Day (without a Year) will result in the error.&#x20;
- Only Acceptable Inputs are :- Either Pass only Birth Year or Birth Year + Birth Month + Birth Day. Any other Combination of inputs will result in error.
- If no DOB is provided at all (i.e., all DOB fields are removed from the request), the search will still run successfully.
:::

### Sample Response

:::CodeblockTabs
200 (Data Found)

```json
{
    "result": {
        "recordsFound": true,
        "subject": "John Doe",
        "criminalRecords": [
            {
                "offenses": [
                    {
                        "caseNumber": "MD-0087633",
                        "caseType": "Adult Misdemeanor",
                        "offenseDate": "1988-08-03",
                        "offenseClass": "violence",
                        "offenseSubclass": "physical violence",
                        "offenseDescr": "Assault Causing Bodily Injury",
                        "offenseDegree": "ND",
                        "offenseLevel": "MISDEMEANOR",
                        "courtCaseNumber": "MD-0087633",
                        "courtName": "County Court at Law No. 1",
                        "recordDate": "1985-03-21",
                        "caseFilingDate": "1985-03-21",
                        "dispositionType": "UNKNOWN"
                    }
                ],
                "names": [
                    {
                    "fullName": "Joe Sample",
                    "firstName": "Joe",
                    "middleName": "John",
                    "lastName": "Sample"
                    }
                ],
                "addresses": [
                    {
                    "address1": "555 Main St. UNIT 702; TEXAS",
                    "city": "Galveston",
                    "state": "TX"
                    }
                ],
                "dobs": [
                    {
                    "date": "1966-08-06"
                    }
                ],
                "jurisdiction": {
                    "county": "Galveston",
                    "state": "TX"
                },
                "id": "1901xpAaYXnoECy178a6E+MpWKQ==",
                "firstName": "Joe",
                "middleName": "John",
                "lastName": "Sample",
                "fullName": "Joe Sample",
                "dob": "1966-08-06",
                "gender": "",
                "source": "TX_Galveston_View",
                "sourceName": "TX Galveston County Courts",
                "criminalRecordSourceType": "court",
                "criminalRecordSourceSubType": "court",
                "resultId": 1
            },
            {
                "offenses": [
                    {
                        "offenseClass": "property",
                        "offenseSubclass": "burglary",
                        "offenseDescr": "BURGLARY",
                        "offenseLevel": "UNKNOWN",
                        "incarcerationDate": "1987-01-28",
                        "courtName": "Lawrence",
                        "releaseDate": "1987-03-27",
                        "dispositionType": "UNKNOWN",
                        "convictionJurisdiction": "Lawrence"
                    }
                ],
                "names": [
                    {
                        "fullName": "Joe Sample",
                        "firstName": "Joe",
                        "lastName": "Sample"
                    }
                ],
                "dobs": [
                    {
                        "date": "1966-08-06"
                    }
                ],
                "jurisdiction": {
                    "state": "OH"
                },
                "id": "2201xBeReSNM9D3urqTsTGSSy9A==",
                "firstName": "Joe",
                "lastName": "Sample",
                "fullName": "Sample, Joe",
                "dob": "1966-08-06",
                "race": "BLACK",
                "gender": "male",
                "source": "ohdoc",
                "sourceName": "OH Dept. of Corrections",
                "criminalRecordSourceType": "court",
                "criminalRecordSourceSubType": "DOC",
                "resultId": 2
            }
        ]
    }
}

```

200 (No Data Found)

```json
{
    "result": {
        "recordsFound": false,
        "subject": "John Doe",
        "criminalRecords": []
    }
}
```
:::

### Response Body Parameters

| **Parameter**          | **Description**                                    |
| ---------------------- | -------------------------------------------------- |
| result                 | This parameter contains the actual output.         |
| result.recordsFound    | Boolean value based on whether records were found. |
| result.subject         | Name of individual searched.                       |
| result.criminalRecords | Array of criminal records.                         |

### Criminal Record Parameters

| **Criminal Record Parameter** | **Description**                                                                                                               |
| ----------------------------- | ----------------------------------------------------------------------------------------------------------------------------- |
| id                            | Internal identifier for the record.<br />Ex: "MCRDCRTR030001124001JOSCRO"                                                     |
| caseNumber                    | Case number of the record.<br />Ex: "095978301013"                                                                            |
| caseType                      | Case type of the record as defined by the<br />source.<br />Ex: "Minor Offense", "FD", "Misdemeanor<br />Class A", "Felony 6" |
| firstName                     | First name of the defendant.                                                                                                  |
| middleName                    | Middle name of the defendant.                                                                                                 |
| lastName                      | Last name of the defendant.                                                                                                   |
| fullName                      | Full name of the defendant.                                                                                                   |
| dob                           | Date of birth of the defendant.                                                                                               |
| race                          | Race of the defendant.<br />Ex: "WHITE"                                                                                       |
| ethnicity                     | Ethnicity of the defendant.<br />Ex: "NON-HISPANIC"                                                                           |
| hairColor                     | Hair color of the defendant.<br />Ex: "BLN", "Blonde", "Brown"                                                                |
| eyeColor                      | Eye color of the defendant.<br />Ex: "BROWN"                                                                                  |
| height                        | Height of the defendant.<br />Ex: "511"                                                                                       |
| weight                        | Weight of the defendant.<br />Ex: "290"                                                                                       |
| skin                          | Skin color of the defendant.<br />Ex: "FAIR", "MBR", "LIGHT BROWN"                                                            |
| build                         | Build of the defendant.<br />Ex: "EXTRA L", "Obese"                                                                           |
| gender                        | Gender of the offender.<br />Ex: "unknown", "male", "female", "nonbinary"                                                     |
| source                        | Internal identifier for the source.<br />Ex: "NE\_Doc\_View"                                                                  |
| sourceName                    | Name of source.<br />Ex. "NE Dept. of Corrections"                                                                            |
| convinctionDate               | Date the defendant was convicted.<br />Ex. "2004-06-03"                                                                       |
| status                        | Status of the offender.<br />Ex: "DISPOSED", "Released On Recognizance",<br />"Active", INCARCERATED                          |
| sentence                      | Description of the sentence.<br />Ex: "Probation 1 Year", "PTS ENHANCED<br />SUPERVISION"                                     |
| arrestingAgency               | Arresting agency.<br />Ex: "Benton County Sheriff", "HARRIS CO SO<br />HOURSON"                                               |
| docNumber                     | Department of correction number for the<br />offender.<br />Ex: "07355111"                                                    |
| sorNumber                     | Sex offender registry number for the offender.<br />Ex: "TX-7307320"                                                          |
| criminalRecordSourceType      | Field for classifying the source.<br />Ex: "court", "sexoffenderlist", "watchlist"                                            |
| criminalRecordSourceSubType   | Field classifying the source subtype.<br />Ex: "arrest, "criminal registry", "court", "doc",<br />domestic watchlist"         |
| resultId                      | Unique id for the search result.                                                                                              |
| idProfile                     | Unique id used when disputing results.                                                                                        |
| offenses                      | Array of offenses. <br />**Please refer the tables below for Offenses parameters.**                                           |
| names                         | Array of names from the record(s).<br />**Please refer the tables below for Names parameters.**                               |
| addresses                     | Array of addresses from the record(s).<br />**Please refer the tables below for Addresses parameters.**                       |
| dobs                          | Array of date of birth from the record(s).<br />**Please refer the tables below for DOBs parameters.**                        |
| jurisdiction                  | Jurisdiction of the record.<br />**Please refer the tables below for Jurisdiction parameters.**                               |

### Offense Parameters

| **Offenses Parameter** | **Description**                                                                                                                                                  |
| ---------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| caseNumber             | Case number of the offense.<br />Ex: "095978201010"                                                                                                              |
| caseType               | Case type of the offense as defined by the<br />source.<br />Ex: "felony", "gross misdemeanor", "Offense<br />Infraction"                                        |
| offenseDate            | Date the offense occurred.<br />Ex: "2003-07-28"                                                                                                                 |
| offenseClass           | Internal classification field.<br />**Please refer the tables below for more details on OffenseClass.**                                                          |
| offenseSubclass        | Internal subclassification field.<br />**Please refer the tables below for more details on OffenseSubClass.**                                                    |
| offenseDescr           | Offense description from the source.<br />Ex: "SEXUAL ASSAULT CHILD", "BATTERY',<br />"AGGRAV STALKING"                                                          |
| offenseDegree          | Degree of the offense from the source.<br />Ex: "FELONY", "Misdemeanor", "Infraction"                                                                            |
| offenseLevel           | Internal field classifying offense level.Ex:<br />"FELONY", "MISDEMEANOR", "UNKNOWN",<br />"INFRACTION/VIOLATION/ORDIANCE/TRAFFIC"                               |
| sentenceDate           | Date the defendant was sentenced.<br />Ex: "2004-06-03"                                                                                                          |
| sentenceType           | Type of sentence as defined by the source.<br />Ex: "fined", "failed", "probation"                                                                               |
| incarcerationDate      | Date the defendant was incarcerated.<br />Ex: "2007-06-03"                                                                                                       |
| arrestDate             | Date the defendant was arrested.<br />Ex: "2003-07-28"                                                                                                           |
| arrestingAgency        | Arresting agency.<br />ExL UNITED STATES MARSHALL'S SERVICE",<br />"Elwood Police Department", "Madison County<br />Sheriff"                                     |
| courtCaseNumber        | Case number of the offense.<br />Example: "MCRDCRTR03-0001124-008"                                                                                               |
| courtName              | Name of the court that tried the defendant.<br />Ex: "CA Shasta Superior Court", "GA Dept of<br />Corrections (Web)"                                             |
| releaseDate            | Release date of the offender.<br />Ex: "2019-03-26"                                                                                                              |
| recordDate             | Internal field to calculate the age of the record.<br />Ex: "2003-02-19"                                                                                         |
| caseFilinfDate         | Date the case was filed.<br />Ex: "2003-02-19"                                                                                                                   |
| Disposition            | Disposition of the offense.<br />Ex: "DISM OTHER", "DEFERRED ADJUDICATION<br />TERMINATED", "Adjudicated Guilty", "NOLLE<br />PROSEQUI", "DISMISSED CASEREFILED" |
| dispositionType        | Internal field classifying the disposition.<br />Ex: "GUILTY", "NOT GUILTY", "WITHHELD",<br />"NOT DISPOSED", "NO VERDICT", "UNKNOWN"                            |
| dispositionDate        | Date the offense was disposed.<br />Ex: "2013-03-28"                                                                                                             |
| county                 | County associated with the offense.<br />Ex: "Benton", "JACKSON", "PORTER"                                                                                       |
| convictionJurisdiction | Jurisdiction associated with the offense City,<br />State, or County.<br />Ex: "Woodbury", "Black Hawk", "Hudson",<br />"Jersey City Municipal Court"            |
| convictionDate         | Date of conviction.<br />Ex: "2004-06-03"                                                                                                                        |

### Offense Class Descriptions

| **Offense Category**             | **Offense Class&#x20;**                         | **Criminal Record**<br />**Source Type** | **Offense Description**                                                                                                                             |
| -------------------------------- | ----------------------------------------------- | ---------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------- |
| Sex Offenses                     | "sex"                                           | "court"                                  | Court record offenses associated with sexual assault, child pornography, molestation, or lewd and lascivious acts                                   |
| Violence & Threats<br />Offenses | "violence"                                      | "court"                                  | Court record offenses associated with murder, acts of assault, kidnapping, harassment, armed robbery, weapons, or battery                           |
| Property & Theft Offenses        | "property"                                      |  "court"                                 | Court record offenses associated with vandalism and damage to property, trespassing, burglary, larceny, shoplifting, petty, or grand theft          |
| Substance Abuse<br />Offenses    | "substance"                                     |  "court"                                 | Court record offenses associated with illegal possession, distribution, or abuse of controlled and regulated substances                             |
| Financial Offenses<br />         | "financial"                                     |  "court"                                 | Court record offenses associated with financial fraud, identity theft, forgery, or embezzlement                                                     |
| Public Conduct<br />Offenses     | "public<br />conduct"                           |  "court"                                 | Court record offenses associated with public behavior deemed by a state to be offensive, disruptive, or dangerous                                   |
| Justice System<br />Offenses     | "justice<br />system"                           |  "court"                                 | Court record offenses associated with the obstruction of justice, interference in the administration of the courts, or hindrance of law enforcement |
| Traffic Offenses                 | "traffic"                                       |  "court"                                 | Court record offenses associated with driving misdemeanors, infractions, or violations                                                              |
| Other Offenses                   | "other"                                         |  "court"                                 | Court record offenses that were not automatically categorized by our classifier based off of their descriptions                                     |
| Unspecified Offenses             | "unspecified"                                   |  "court"                                 | Unspecified court record offenses                                                                                                                   |
| Watchlists                       | any of the<br />above<br />offense<br />classes |  "watchlist"                             | Watchlist records associated with threats to national security, foreign policy, health and human services, or the economy                           |
| Registered Sex<br />Offenders    | "sex" or<br />"violence"                        |  "sex offender list"                     | Presence on a sex offender registry                                                                                                                 |

### Offense Subclass Descriptions

| **Offense Category**         | **Offense Class&#x20;** | **Offense Subclass**                              | **Examples**                                                                                                                                                                                                                                                       |
| ---------------------------- | ----------------------- | ------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| **Financial&#x20;**          | **financial**           | bribery &<br />corruption<br />                   | Attempts to illegally influence the actions of third parties, the unlawful use of one’s position to evade the law, etc.                                                                                                                                            |
|                              |                         | embezzlement                                      | Misuse of funds or property entrusted to someone, resulting in personal gain.                                                                                                                                                                                      |
|                              |                         | forgery                                           | The false making or altering of awriting that would regularly have legal effect. Includes counterfeiting.                                                                                                                                                          |
|                              |                         | fraud                                             | The use of deceitful practices to deprive another of his rights or to cause injury. Includes writing bad checks, using a stolen credit card.                                                                                                                       |
|                              |                         | gambling                                          | Illegal betting or wagering.                                                                                                                                                                                                                                       |
|                              |                         | identity theft                                    | Illegally obtaining and using another’s personal information.                                                                                                                                                                                                      |
|                              |                         | other financial                                   | Other financial offenses not falling into a specific category. This category includes money laundering, insider trading, tax crimes, etc.                                                                                                                          |
| **Justice System**           | **justice system**      | arrest                                            | Offenses involving the apprehension of an individual by law enforcement. This category includes resisting, delaying, hindering, fleeing and eluding, providing false ID to law enforcement, etc.                                                                   |
|                              |                         | court<br />administration<br /><br /><br /><br /> | Acts or omissions by a person that interfere with the administration of judicial proceedings. This category includes failure to appear (FTA), failure to pay (FTP), failure to comply (FTC), obstruction, violations of sentencing terms or probation, etc.        |
|                              |                         | escape                                            | Attempts to escape the custody of a jail or prison.                                                                                                                                                                                                                |
|                              |                         | failure to register                               | Failure to register, either as a sex offender, or sexually violent predator, or as a felon when required.                                                                                                                                                          |
|                              |                         | forfeiture                                        | Confiscation of property by authorities, typically when the property was used in the commission of a crime.                                                                                                                                                        |
|                              |                         | warrants                                          | Records of warrants, extradition orders, and holds.                                                                                                                                                                                                                |
| **Sex**                      | **sex**                 | child pornography                                 | Possession, use, distribution, sale, or creation of child pornography.                                                                                                                                                                                             |
|                              |                         | exposure &<br />lewdness                          | Public sexual indecency.                                                                                                                                                                                                                                           |
|                              |                         | rape                                              | Sexual acts performed against a victim’s will.                                                                                                                                                                                                                     |
|                              |                         | sexual assault                                    | Sexual physical advances against a victim.                                                                                                                                                                                                                         |
|                              |                         | sexual<br />exploitation                          | Non-consensual acts of abuse or exploitation against another person for the purpose of sexual gratification, financial gain, personal benefit or advantage, or any other non-legitimate purpose.                                                                   |
|                              |                         | sexual solicitation                               | Soliciting non-consensual sexual activity. Does not include prostitution.                                                                                                                                                                                          |
|                              |                         | other sex                                         | Other offenses of a sexual nature that do not fall into a specific category, such as incest.                                                                                                                                                                       |
| **Substance**                | **substance**           | alcohol use<br /><br />                           | Offenses in which the consumption or use of alcohol is a main factor. This category includes minor in possession charges and habitual offender charges, but does not include DUI/DWI.                                                                              |
|                              |                         | impaired driving                                  | Alcohol and substance-related offenses committed while operating a motor vehicle. This category includes DUI and DWI.                                                                                                                                              |
|                              |                         | marijuana use,<br />description                   | Personal use and possession of marijuana. Trafficking is not included in this category.                                                                                                                                                                            |
|                              |                         | schedule I & II drug use                          | The use and possession of drugs classified as Schedule I or II drugs. This category includes cocaine, LSD, heroin, meth, morphine, codeine, opium etc.                                                                                                             |
|                              |                         | schedule III to V drug use                        | The use and possession of drugs classified as Schedule III, IV, or V drugs. This category includes common prescription drugs such as Xanax, Valium, or Robitussin AC.                                                                                              |
|                              |                         | trafficking                                       | Controlled substance distribution crimes, including sale, smuggling, trafficking possession with intent to distribute, etc.                                                                                                                                        |
|                              |                         | other substance                                   | Other offenses involving controlled substances that do not fall into a specific category.                                                                                                                                                                          |
| **Violence & Threats&#x20;** | **violence&#x20;**      | child neglect                                     | Passive harmful offenses against minors.                                                                                                                                                                                                                           |
|                              |                         | elder neglect <br />                              | Passive harmful offenses against the elderly.                                                                                                                                                                                                                      |
|                              |                         | child abuse                                       | Active harmful offenses against minors.                                                                                                                                                                                                                            |
|                              |                         | elder abuse                                       | Active harmful offenses against the elderly.                                                                                                                                                                                                                       |
|                              |                         | coercion                                          | Compelling, forcing, or requiring another to perform a certain action. Such compulsion can be the result of physical or implied force. Crimes in this category include blackmail, extortion, etc.                                                                  |
|                              |                         | homicide with<br />intent                         | The intentional death of another<br />person. This category includes<br />murder.                                                                                                                                                                                  |
|                              |                         | homicide without<br />intent                      | The unintentional death of another<br />person. This category includes<br />unintentional manslaughter and<br />vehicular manslaughter.                                                                                                                            |
|                              |                         | other homicide                                    | The death of another person. This<br />category includes assisting suicide,<br />euthanasia, illegal feticide, and<br />homicides where the intent is not<br />specified.                                                                                          |
|                              |                         | deprivation of<br />liberty                       | The physical restraint or forced<br />movement of another person.<br />Crimes in this category include<br />kidnapping, exploitation, abduction,<br />forced labor, restraint, hijacking, etc.                                                                     |
|                              |                         | emotional distress                                | Invasion of one’s privacy, actions<br />causing another person to feel<br />emotional anguish, and actions that<br />lead a person to fear for his/her<br />safety. This category includes<br />harassment, stalking, threats,<br />invasion of privacy, etc.      |
|                              |                         | endangerment                                      | Behavior which puts the life or<br />safety of another person at risk. This category includes negligent<br />supervision.                                                                                                                                          |
|                              |                         | physical violence                                 | Offenses involving an element of<br />physical violence, including assault,<br />battery, trafficking in people, etc.                                                                                                                                              |
|                              |                         | simple assault                                    | Simple assault.                                                                                                                                                                                                                                                    |
|                              |                         | aggravated assault                                | Aggravated assault.                                                                                                                                                                                                                                                |
|                              |                         | other violence                                    | Other offenses of a violent nature<br />that do not fall into a specific<br />category, or are not more specifically<br />categorizable, such as assault with<br />no other information                                                                            |
| **Property & Theft**         | **property**            | arson                                             | Setting fire to a structure.<br />burglary The illegal entry into another’s<br />property with the intent to commit a<br />crime therein. This category includes<br />breaking and entering.                                                                       |
|                              |                         | robbery                                           | The use of force to deprive another<br />of their property.                                                                                                                                                                                                        |
|                              |                         | theft & possession<br />of stolen goods           | The illegal carrying away of<br />another’s property or the possession<br />of stolen goods.                                                                                                                                                                       |
|                              |                         | theft of<br />intellectual<br />property          | The misuse of another’s intellectual<br />property, including trademarks,<br />copyrights, and patents.                                                                                                                                                            |
|                              |                         | trespassing                                       | Entry into another’s property<br />without lawful authority to do so.<br />vandalism &                                                                                                                                                                             |
|                              |                         | mischief                                          | The alteration of, or damage to,<br />another’s property.                                                                                                                                                                                                          |
|                              |                         | other property                                    | Other offenses involving another’s<br />property that do not fall into a<br />specific category.                                                                                                                                                                   |
| **Public Conduct**           | **public conduct**      | cybercrime                                        | Offenses committed through, or<br />with the assistance of, a computer or<br />computer network.                                                                                                                                                                   |
|                              |                         | disturbing the<br />peace                         | Disorderly conduct that deprives<br />others of their right to peace and<br />tranquility.                                                                                                                                                                         |
|                              |                         | incitement                                        | Attempts to motivate others to act<br />illegally.                                                                                                                                                                                                                 |
|                              |                         | loitering &<br />vagrancy                         | Consistent presence in a location<br />without legal reason.                                                                                                                                                                                                       |
|                              |                         | obscenity                                         | Conduct considered to be offensive<br />or indecent which has the effect of<br />corrupting public morals. This<br />category includes obscene gestures,<br />obscene language, etc.                                                                               |
|                              |                         | prostitution                                      | The illegal sale of sex.<br />public intoxication Being intoxicated in a public space.                                                                                                                                                                             |
|                              |                         | other public<br />conduct                         | Other offenses involving public<br />conduct that do not fall into a<br />specific category.                                                                                                                                                                       |
| **Traffic**                  | **traffic**             | accident                                          | Motor vehicle offenses involving<br />collision, including accidents, hit and<br />run, leaving the scene of accident.<br />equipment Motor vehicle offenses related to<br />vehicle equipment.                                                                    |
|                              |                         | impairment                                        | Offenses involving the testing for<br />and evidence of driver impairment.<br />This category i ncludes open<br />container charges, chemical test<br />refusals, etc.                                                                                             |
|                              |                         | license &<br />documentation                      | Offenses related to drivers’<br />administrative obligations, including<br />registration, insurance, expired and<br />suspended DL, etc                                                                                                                           |
|                              |                         | non-motor                                         | Traffic offenses that do not involve<br />the use of a motor vehicle. This<br />category includes offenses related to<br />jaywalking, bicycling, etc.                                                                                                             |
|                              |                         | parking                                           | Parking offenses.                                                                                                                                                                                                                                                  |
|                              |                         | restraint                                         | Offenses related to the misuse or<br />failure to use safety devices in a<br />motor vehicle. This category includes<br />failure to use restraint devices,<br />failure to wear head protection, etc.                                                             |
|                              |                         | speed                                             | Speeding offenses.                                                                                                                                                                                                                                                 |
|                              |                         | tolls                                             | Toll-related offenses.                                                                                                                                                                                                                                             |
|                              |                         | vehicular<br />endangerment                       | Negligent or reckless use of a motor<br />vehicle, including street racing,<br />negligent driving, reck¬less driving,<br />etc.                                                                                                                                   |
|                              |                         | water                                             | Boating-related offenses.                                                                                                                                                                                                                                          |
|                              |                         | other traffic                                     | Other traffic offenses that do not fall<br />into a specific category.                                                                                                                                                                                             |
| **Other**                    | **other**               | accessory                                         | Offenses related to a person’s<br />assistance in the commission of an<br />offense, when the offense is<br />otherwise unspecified.                                                                                                                               |
|                              |                         | animals                                           | Offenses against animals, including<br />cruelty, neglect, abuse, etc.                                                                                                                                                                                             |
|                              |                         | attempt                                           | The attempt of a crime, when the<br />offense is otherwise unspecified.                                                                                                                                                                                            |
|                              |                         | conspiracy                                        | The joint-planning and carrying out of an offense, when the offense is<br />otherwise unspecified.                                                                                                                                                                 |
|                              |                         | environmental<br />degradation                    | Harming the environment, including<br />littering, pollution, and illegal<br />dumping, logging, hunting, mining,<br />fishing, etc.                                                                                                                               |
|                              |                         | injury to character                               | Defamation, including libel and<br />slander.                                                                                                                                                                                                                      |
|                              |                         | protected species<br />& objects                  | Offenses involving protected animals<br />and plants. This category includes<br />the movement, sale, or possession of protected flora, fauna, and<br />archaeological ruins/objects, as well<br />as offenses that degrade<br />government-owned parks and sites. |
|                              |                         | weapons                                           | Offenses involving objects and<br />materials that have the propensity<br />to injure. This category includes<br />explosives, deadly weapons, illegal<br />possession/sale/construction of<br />firearms or other devices, etc.                                   |
|                              |                         | welfare of minors                                 | Negatively impacting the welfare of<br />youth. This category includes giving<br />alcohol to minors, giving<br />pornographic material to minors,<br />truancy, etc.                                                                                              |
|                              |                         | other                                             | Other offenses that could not be<br />categorized. This category includes<br />offenses related to maritime law,<br />piracy, labour law, immigration,<br />election crimes, etc.                                                                                  |
| **Unspecified**              | **unspecified**         | unspecified                                       | These offenses do not provide<br />sufficient data to be categorized.                                                                                                                                                                                              |

### Other Parameters

| **Name Parameters** | **Description**                                            |
| ------------------- | ---------------------------------------------------------- |
| fullName            | Full Name                                                  |
| firstName           | First Name                                                 |
| middleName          | Middle Name                                                |
| lastName            | Last Name                                                  |
| suffixes            | Typically a generational title.<br />Ex: "JR", "2nd", "IV" |

| **Address** **Parameters** | **Description**                                               |
| -------------------------- | ------------------------------------------------------------- |
| address1                   | Street number and street name or PO Box.                      |
| address2                   | Street address line 2 (continuation of above if<br />needed). |
| city                       | City                                                          |
| state                      | State                                                         |
| zipCode                    | ZIP code                                                      |

| **DOB** **Parameter** | **Description**                                                                                                                                                             |
| --------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| date                  | Date of birth. Values are populated and<br />returned as YYYY-MM-DD with zeros put in for<br />elements that are missing.<br />Ex: "1980-00-00", "1980-11-05", "1969-09-00" |

| **Jurisdiction** **Parameters** | **Description**                                                   |
| ------------------------------- | ----------------------------------------------------------------- |
| county                          | County jurisdiction associated with the record.<br />Ex: "Harris" |
| state                           | State jurisdiction associated with the record.<br />Ex: "TX"      |

### Sample Error

:::CodeblockTabs
400 (DOB Validation)

```json
{
    "error": {
        "name": "error",
        "message": "Invalid combination of month, day, and year. Either provide all three (birthYear, birthDay, birthMonth) or just the birthYear.",
        "status": 400,
        "reason": "VALIDATION_ERROR",
        "type": "Bad Request",
        "statusCode": "400"
    }
}

---

{
    "error": {
        "name": "error",
        "message": "Invalid birthYear. Age of the individual must be between 18 to 110",
        "status": 400,
        "reason": "VALIDATION_ERROR",
        "type": "Bad Request",
        "statusCode": "400"
    }
}

---

{
    "error": {
        "name": "error",
        "message": "\"birthYear\" must be a number",
        "status": 400,
        "reason": "VALIDATION_ERROR",
        "type": "Bad Request",
        "statusCode": "400"
    }
}

---

{
    "error": {
        "name": "error",
        "message": "\"birthDay\" must be less than or equal to 31",
        "status": 400,
        "reason": "VALIDATION_ERROR",
        "type": "Bad Request",
        "statusCode": "400"
    }
}

---

{
    "error": {
        "name": "error",
        "message": "\"birthMonth\" must be less than or equal to 12",
        "status": 400,
        "reason": "VALIDATION_ERROR",
        "type": "Bad Request",
        "statusCode": "400"
    }
}
```

Other 400 Errors

```json
{
    "error": {
        "name": "error",
        "message": "subject must contain full name",
        "status": 400,
        "reason": "VALIDATION_ERROR",
        "type": "Bad Request",
        "statusCode": "400"
    }
}

---

{
    "error": {
        "name": "error",
        "message": "\"subject\" is required",
        "status": 400,
        "reason": "VALIDATION_ERROR",
        "type": "Bad Request",
        "statusCode": "400"
    }
}

---

{
    "error": {
        "name": "error",
        "message": "recordState contains an invalid state code",
        "status": 400,
        "reason": "VALIDATION_ERROR",
        "type": "Bad Request",
        "statusCode": "400"
    }
}

```

409

```json
{
    "error": {
        "name": "error",
        "message": "Error in getting data from Upstream",
        "status": 409,
        "reason": "ERROR",
        "type": "Conflict",
        "statusCode": 409
    }
}
```

500

```json
{
    "error": {
        "name": "error",
        "message": "Internal Server Error",
        "status": 500,
        "reason": "ERROR",
        "type": "Conflict",
        "statusCode": 500
    }
}
```
:::

### Response Parameter

| **Parameter**    | **Description**                    |
| ---------------- | ---------------------------------- |
| error            | This parameter contains the error. |
| error.name       | the name of the error              |
| error.message    | the error message                  |
| error.status     | status of the api                  |
| error.reason     | Reason for error                   |
| error.type       | Type of the error                  |
| error.statusCode | Request Status code from Signzy    |

:::hint{type="info"}
### Getting help

Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.

You can reach out to us at [help@signzy.com](#). We strive to provide prompt and reliable assistance, ensuring your queries are addressed effectively.

We value your feedback and are committed to making your experience smooth and enjoyable. Our team is dedicated to assisting you with any needs you may have. Thank you for choosing our services. We look forward to helping you!
:::

